summaryrefslogtreecommitdiffstats
path: root/source/d/autoconf
diff options
context:
space:
mode:
Diffstat (limited to 'source/d/autoconf')
-rwxr-xr-xsource/d/autoconf/autoconf.SlackBuild70
-rw-r--r--source/d/autoconf/doinst.sh13
-rw-r--r--source/d/autoconf/slack-desc19
3 files changed, 102 insertions, 0 deletions
diff --git a/source/d/autoconf/autoconf.SlackBuild b/source/d/autoconf/autoconf.SlackBuild
new file mode 100755
index 000000000..41dbfe9ea
--- /dev/null
+++ b/source/d/autoconf/autoconf.SlackBuild
@@ -0,0 +1,70 @@
+#!/bin/sh
+
+# Copyright 2005-2009 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+VERSION=2.63
+ARCH=noarch
+NUMJOBS=${NUMJOBS:-" -j7 "}
+BUILD=${BUILD:-1}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-autoconf
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+rm -rf autoconf-$VERSION
+tar xvf $CWD/autoconf-$VERSION.tar.?z* || exit 1
+cd autoconf-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+./configure \
+ --prefix=/usr \
+ --infodir=/usr/info \
+ --mandir=/usr/man
+
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+rm -f $PKG/usr/info/dir
+gzip -9 $PKG/usr/info/*
+gzip -9 $PKG/usr/man/man1/*.?
+
+mkdir -p $PKG/usr/doc/autoconf-$VERSION
+cp -a \
+ AUTHORS BUGS COPYING* NEWS README THANKS TODO \
+ $PKG/usr/doc/autoconf-$VERSION
+
+mkdir -p $PKG/install
+zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/autoconf-$VERSION-$ARCH-$BUILD.txz
+
diff --git a/source/d/autoconf/doinst.sh b/source/d/autoconf/doinst.sh
new file mode 100644
index 000000000..4877094ed
--- /dev/null
+++ b/source/d/autoconf/doinst.sh
@@ -0,0 +1,13 @@
+# Update the /usr/info/dir info-database, so that we will see the new
+# "autoconf" item in info root structure, if we type "info".
+if [ -x /usr/bin/install-info ] ; then
+ install-info --info-dir=/usr/info /usr/info/autoconf.info.gz 2>/dev/null
+elif fgrep "Autoconf" usr/info/dir 1> /dev/null 2> /dev/null ; then
+ GOOD=yes # It seems to be entered in the /usr/info/dir already
+else # add the info to the dir file directly:
+cat << EOF >> usr/info/dir
+
+Miscellaneous
+* Autoconf: (autoconf). Create source code configuration scripts.
+EOF
+fi
diff --git a/source/d/autoconf/slack-desc b/source/d/autoconf/slack-desc
new file mode 100644
index 000000000..4a3b9a9f4
--- /dev/null
+++ b/source/d/autoconf/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+autoconf: autoconf (generate configuration scripts)
+autoconf:
+autoconf: GNU autoconf is an extensible package of m4 macros that produce shell
+autoconf: scripts to automatically configure software source code packages.
+autoconf: These scripts can adapt the packages to many kinds of UNIX-like
+autoconf: systems without manual user intervention. Autoconf creates a
+autoconf: configuration script for a package from a template file that lists the
+autoconf: operating system features that the package can use, in the form of m4
+autoconf: macro calls. You must install the "m4" package to be able to use
+autoconf: autoconf.
+autoconf: